Skip to main content
`Ctrl`+`K`

# NEPCISSExtraction

The extraction technique used in the CISS solver.

## Synopsis

    typedef enum { NEP_CISS_EXTRACTION_RITZ,
                   NEP_CISS_EXTRACTION_HANKEL,
                   NEP_CISS_EXTRACTION_CAA    } NEPCISSExtraction;

## Values

- `NEP_CISS_EXTRACTION_RITZ` - Rayleigh-Ritz extraction

- `NEP_CISS_EXTRACTION_HANKEL` - block Hankel method

- `NEP_CISS_EXTRACTION_CAA` - communication-avoiding Arnoldi method

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISSSetExtraction()`, `NEPCISSGetExtraction()`

## Level

advanced

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages